Menu

## EventSubscription
in package
implements CreateableInterface Uses Creator, Deletor

EventSubscription.php : 18

An event name to class binding that represents that class listening for that event.

##### Tags

Entity
Table

  (name="event_subscriptions")

### Interfaces, Classes and Traits

CreateableInterface
  Interface for createable models.

### Table of Contents

$class : mixed
$fillable : array<string|int, mixed>
$library : mixed
$pattern : mixed
create() : CreateableInterface
  Creates and returns an entity instance and fills values.
delete() : mixed
  Deletes the entity.
getClass() : string
  Returns the class name subscribed to this event.
getLibrary() : string
  Returns the library that this subscription is part of, in vendor/module format.
getPattern() : string
  Returns the pattern used to match against event names for this subscription.
setClass() : mixed
  Sets the class name subscribed to this event.
setLibrary() : mixed
  Sets the library that this subscription is part of, in vendor/module format.
setPattern() : mixed
  Set the pattern used to match against event names.

### Properties

#### $class

EventSubscription.php : 27
`private mixed $class`

##### Tags

Id

  @Column(type="string");

#### $fillable

EventSubscription.php : 33
`private static array<string|int, mixed> $fillable = ["pattern", "class", "library"]`

#### $library

EventSubscription.php : 30
`private mixed $library`

##### Tags

Id

  @Column(type="string");

#### $pattern

EventSubscription.php : 24
`private mixed $pattern`

##### Tags

Id

  @Column(type="string");

### Methods

#### create()

Creator.php : 25

Creates and returns an entity instance and fills values.

`public static create(array<string|int, mixed> $arguments) : CreateableInterface`

##### Parameters

$arguments : array<string|int, mixed>

  The values the instance should get

##### Tags

throws
  WrongTypeException|UnexpectedArrayKeyException
throws
  AttributeMissingException

##### Return values

CreateableInterface —

The created Entity

#### delete()

Deletor.php : 17

Deletes the entity.

`public delete(EntityManagerInterface $em) : mixed`

##### Parameters

$em : EntityManagerInterface

##### Return values

mixed —

#### getClass()

EventSubscription.php : 63

Returns the class name subscribed to this event.

`public getClass() : string`

##### Return values

string —

#### getLibrary()

EventSubscription.php : 81

Returns the library that this subscription is part of, in vendor/module format.

`public getLibrary() : string`

##### Return values

string —

#### getPattern()

EventSubscription.php : 44

Returns the pattern used to match against event names for this subscription.

`public getPattern() : string`

Format is PHP regular expressions.

##### Return values

string —

#### setClass()

EventSubscription.php : 72

Sets the class name subscribed to this event.

`public setClass(string $class) : mixed`

##### Parameters

$class : string

##### Return values

mixed —

#### setLibrary()

EventSubscription.php : 90

Sets the library that this subscription is part of, in vendor/module format.

`public setLibrary(string $library) : mixed`

##### Parameters

$library : string

##### Return values

mixed —

#### setPattern()

EventSubscription.php : 54

Set the pattern used to match against event names.

`public setPattern(string $pattern) : mixed`

Format is PHP regular expressions.

##### Parameters

$pattern : string

##### Return values

mixed —

## Search results